Bug 20160 - [meta][30m] - Move editorial pages into the Editor's Guide.
[meta][30m] - Move editorial pages into the Editor's Guide.
Status: RESOLVED FIXED
Product: webplatform.org
Classification: Unclassified
Component: content
unspecified
All All
: P2 normal
: ---
Assigned To: JuleeAtAdobe
public-webplatform-bugs list
:
Depends on:
Blocks: 20154
  Show dependency treegraph
 
Reported: 2012-11-29 15:10 UTC by Jonathan Garbee
Modified: 2013-02-05 21:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Garbee 2012-11-29 15:10:47 UTC
We need to move editorial type pages into the Editor's Guide.  A redirect should be left until we get all the links that are around going to the right places.
Comment 1 JuleeAtAdobe 2012-12-04 06:48:43 UTC
Attempted to do an inventory on pages of use to Editors. Looks like some pages could be merged, bundled, duplicated, generally reviewed for efficacy, or completely deleted.

The categories are by no means being proposed; I just tried to break down the types of pages currently available.

----------------------------------------------------------------
Getting help in chat, forums, and the email list:
http://docs.webplatform.org/wiki/WPD:Help
----------------------------------------------------------------
Overview docs:
http://docs.webplatform.org/wiki/WPD:Getting_Started
http://docs.webplatform.org/wiki/WPD:Implementation_Patterns
http://docs.webplatform.org/wiki/WPD:Most_Wanted_Tasks
----------------------------------------------------------------
Arch & sitemap:
http://docs.webplatform.org/wiki/WPD:Content/Topic_Hierarchy
http://docs.webplatform.org/wiki/WPD:Architecture
----------------------------------------------------------------
Style Guide:
http://docs.webplatform.org/wiki/WPD:Manual_Of_Style
http://docs.webplatform.org/wiki/WPD:Style_Guide
----------------------------------------------------------------
Creating & Editing pages:
http://docs.webplatform.org/wiki/WPD:New_Page
http://docs.webplatform.org/wiki/WPD:Creating_API_pages
http://docs.webplatform.org/wiki/WPD:Content/Reference_articles
http://docs.webplatform.org/wiki/WPD:Manual_Of_Style/Gotchas
http://docs.webplatform.org/wiki/WPD:Getting_Started/Compatibility
http://www.mediawiki.org/wiki/Help:Formatting
----------------------------------------------------------------
Flags:
http://docs.webplatform.org/wiki/WPD:Flags & all sub pages. Eg:
http://docs.webplatform.org/wiki/WPD:Flags/Content_Grammar_Spelling
should provide a link to:
http://docs.webplatform.org/wiki/Special:SearchByProperty/Content-20quality-20flag/Grammar-2FSpelling

http://docs.webplatform.org/w/index.php?title=Special%3AWhatLinksHere&target=Template%3ACompat+Unknown&namespace=
http://docs.webplatform.org/wiki/Special:RecentChanges
----------------------------------------------------------------
Additional resources:
http://docs.webplatform.org/wiki/WPD:Content_Meetings
http://docs.webplatform.org/wiki/WPD:FAQ
http://docs.webplatform.org/wiki/WPD:Pillars
http://docs.webplatform.org/wiki/WPD:Policy
Comment 2 JuleeAtAdobe 2012-12-04 17:54:05 UTC
For overall editorial direction, we might want to point to this task roadmap:

http://docs.webplatform.org/wiki/WPD:Task_Roadmap
Comment 3 Jonathan Garbee 2012-12-04 18:29:43 UTC
Thanks for all the links Julee, this helps *a lot*. I agree with pointing to the Roadmap to people. Over the next few days I'm going to work on moving things into the Guide and cleaning up the landing page for it.

Hopefully the session issues will be fixed tomorrow so things can be done much faster than it currently would be.
Comment 4 Jonathan Garbee 2012-12-14 22:10:52 UTC
Should we also add a redirect from Help:Editing to the WPD:Editors_Guide? That can complete bug 19140.
Comment 5 JuleeAtAdobe 2012-12-14 22:34:22 UTC
Will work with editor and Garbee on fix.
Comment 6 JuleeAtAdobe 2013-01-03 19:39:54 UTC
We're creating a single Editor's Guide that will pull in existing, revised, and new content. The top-level outline will be something like the following:

Step 1: Register for an account to participate in the WebPlatform.org wiki
Step 2: Become familiar with the wiki
Step 3: Communicate with the WebPlatform.org online community
Step 4: Reviewing existing content
Step 5: Changing existing content
Step 6: Author or upload new content
Step 7: Prepare and upload asset files for articles
Comment 7 JuleeAtAdobe 2013-01-07 21:02:11 UTC
Proposed high-level outline of the new editor's guide here:

http://docs.webplatform.org/wiki/WPD:Proposals/editors_guide

Please comment on wiki page or at public-webplatform@w3.org
Comment 8 JuleeAtAdobe 2013-02-05 21:08:49 UTC
Consolidated the Editor's Guide and provided a quick-ref overview:

http://docs.webplatform.org/wiki/WPD:Editors_Guide